Update or pause a managed balance refill policy
curl --request PATCH \
--url https://api.agg.market/execution/balance-refill-policies/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"dailyCapRaw": "<string>",
"maxFeeRaw": "<string>"
}
'import requests
url = "https://api.agg.market/execution/balance-refill-policies/{policyId}"
payload = {
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"dailyCapRaw": "<string>",
"maxFeeRaw": "<string>"
}
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-app-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
minimumRaw: '<string>',
refillAmountRaw: '<string>',
dailyCapRaw: '<string>',
maxFeeRaw: '<string>'
})
};
fetch('https://api.agg.market/execution/balance-refill-policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"targetChainId": 123,
"targetTokenAddress": "<string>",
"targetTokenSymbol": "USDC",
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"dailyCapRaw": "<string>",
"maxFeeRaw": "<string>",
"cooldownSeconds": 61,
"lastObservedRaw": "<string>",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"nextEligibleAt": "2023-11-07T05:31:56Z",
"consentedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"latestAttempt": {
"id": "<string>",
"policyId": "<string>",
"triggerBalanceRaw": "<string>",
"requestedDeliveryRaw": "<string>",
"sourceAmountRaw": "<string>",
"completedAmountRaw": "<string>",
"sourceChainId": 123,
"targetChainId": 123,
"feeRaw": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Execution
Update or pause a managed balance refill policy
PATCH
/
execution
/
balance-refill-policies
/
{policyId}
Update or pause a managed balance refill policy
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Path Parameters
Body
application/json
Response
200
Available options:
USDC Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Available options:
enabled, paused Required range:
x >= 60Pattern:
^[0-9]+$Show child attributes
Show child attributes
⌘I